---
search:
  tags:
    - Broadcasts
    - PATCH
seo:
  description: >-
    Update a broadcast. Reference for the PATCH /broadcasts/{id} endpoint in the
    BillionSend API.
sidebar:
  label: Update a broadcast
  badge: PATCH
title: Update a broadcast
type: openapi-operation
---
`PATCH /broadcasts/{id}`

**Request body** (`application/json`)

- `name` (string)
- `segment_id` (string<uuid>)
- `from` (string)
- `subject` (string)
- `html` (string)
- `text` (string)
- `reply_to` (string | string[])
- `preview_text` (string)
- `topic_id` (string<uuid> | null)

Request body example:

```json
{
  "name": "string",
  "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",
  "from": "string",
  "subject": "string",
  "html": "string",
  "text": "string",
  "reply_to": "string",
  "preview_text": "string",
  "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5"
}
```

**Responses**

- `200` — Broadcast updated
- `400` — Not a draft
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
```
